VMTKSURFACEBOOLEANOPERATION(1)

NAME
vmtksurfacebooleanoperation - vmtk script vmtksurfacebooleanoperation

DESCRIPTION
Automatic piping vmtksurfacebooleanoperation Parsing options vmtksurfacebooleanoperation

vmtksurfacebooleanoperation : perform a boolean operation between two

    surfaces

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-i2 Surface2 (vtkPolyData,1): the second input surface

-i2file Surface2InputFileName (str,1): filename for the default

    Surface2 reader

-tolerance Tolerance (float,1) >= 0.0; default=1e-06: tolerance for

    considering two points coincident

-operation Operation (str,1) in ['union', 'intersection',

    'difference']; default=union: the boolean operation to be performed

-method Method (str,1) in ['default', 'loop']; default=default:

    method used for boolean operation

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface